Page MenuHomePhabricator

[MLIR][Standard] Add `atan2` to standard dialect
ClosedPublic

Authored by frgossen on Sep 23 2020, 10:19 AM.

Diff Detail

Event Timeline

frgossen created this revision.Sep 23 2020, 10:19 AM
Herald added a project: Restricted Project. · View Herald TranscriptSep 23 2020, 10:19 AM
frgossen requested review of this revision.Sep 23 2020, 10:19 AM
bondhugula requested changes to this revision.Sep 25 2020, 11:44 AM
bondhugula added inline comments.
mlir/include/mlir/Dialect/StandardOps/IR/Ops.td
532

Are you missing a test case? I think a short test case should suffice.

541–544

This description is not saying what the op is doing! :-) but only how many inputs and outputs it has!

This revision now requires changes to proceed.Sep 25 2020, 11:44 AM
frgossen updated this revision to Diff 294676.Sep 28 2020, 5:51 AM

Address comments

frgossen marked 2 inline comments as done.Sep 28 2020, 5:52 AM
herhut accepted this revision.Sep 29 2020, 2:08 AM
bondhugula added inline comments.Sep 29 2020, 3:21 AM
mlir/test/Dialect/Standard/ops.mlir
39–44

Please add CHECK-LABEL's to prevent overrun matches.

bondhugula requested changes to this revision.Sep 29 2020, 3:21 AM
This revision now requires changes to proceed.Sep 29 2020, 3:21 AM
frgossen updated this revision to Diff 294923.Sep 29 2020, 3:27 AM

Address comments

frgossen marked an inline comment as done.Sep 29 2020, 3:27 AM
ftynse accepted this revision.Sep 29 2020, 5:27 AM
bondhugula accepted this revision.Sep 29 2020, 8:27 AM
This revision is now accepted and ready to land.Sep 29 2020, 8:27 AM
This revision was automatically updated to reflect the committed changes.